explain_timerfd_create_or_die(3)

NAME
explain_timerfd_create_or_die - create file descriptor timers and report errors

SYNOPSIS
#include <libexplain/timerfd_create.h>

int explain_timerfd_create_or_die(int clockid, int flags);
int explain_timerfd_create_on_error(int clockid, int flags);

DESCRIPTION
The explain_timerfd_create_or_die function is used to call the timerfd_create(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_timerfd_create(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_timerfd_create_on_error function is used to call the timerfd_create(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_timerfd_create(3) function, but still returns to the caller.

clockid
    The clockid, exactly as to be passed to the timerfd_create(2) system call.

flags
    The flags, exactly as to be passed to the timerfd_create(2) system call.

RETURN VALUE
The explain_timerfd_create_or_die function only returns on success, see timerfd_create(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_timerfd_create_on_error function always returns the value return by the wrapped timerfd_create(2) system call.

EXAMPLE
The explain_timerfd_create_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_timerfd_create_or_die(clockid, flags);

SEE ALSO

timerfd_create(2)
    timers that notify via file descriptors

explain_timerfd_create(3)
    explain timerfd_create(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller